
#include "ssd1306.h"

// To use LV_COLOR_FORMAT_I1 we need an extra buffer to hold the converted data.
uint8_t SSD1306::oled_buffer_[LCD_H_RES * LCD_V_RES / 8];

SSD1306::SSD1306(esp_lcd_panel_ssd1306_config_t ssd_config,
                 int width,
                 int height) :
    PanelDevice<esp_lcd_panel_ssd1306_config_t>(width, height)
{
  vendor_config_ = ssd_config;
}
